#ifndef PLOTGPS_H
#define PLOTGPS_H


#include <QWidget>
#include "../misc/fixc11.h"
#include "../sensors/GPSSensor.h"

#include <Indoor/data/Timestamp.h>

class PlotGPS : public QWidget {

	Q_OBJECT

private:

	GPSData gpsData;

public:

	explicit PlotGPS(QWidget *parent = 0);

	void add(const Timestamp ts, const GPSData& data);

signals:

public slots:

	void paintEvent(QPaintEvent*);

};

#endif // PLOTGPS_H
